# Howto add IP aliases on ppp0 in IPfire

Let's say you have a /29 network on your DSL subscriber (dial) line: 212.218.10.64/29.

In that case you could use six ip adresses (65 to 70) as public addresses for machines or services behind your firewall.

According to this [thread](https://community.ipfire.org/t/adding-aliases-to-red-interface/552) and this [thread](https://community.ipfire.org/t/a-red-interface-in-pppoe-and-have-two-public-ip/8014) it is not possible. But it *is* possible - and i will show you how.

## 1.) Enable SSH access in ipfire and connect to ipfire as root.

## 2.) Add the following lines to the file /var/ipfire/ethernet/aliases:

```bash
  212.218.10.65,on,RED2
  212.218.10.66,on,RED3
  212.218.10.67,on,RED4
  212.218.10.68,on,RED5
  212.218.10.69,on,RED6
  212.218.10.70,on,RED7
```

## 3.) Create a new file (this will configure your ip addresses)

/etc/rc.d/init.d/networking/red.up/02-aliases:

```bash
  ip addr add 212.218.10.65/29 dev ppp0
  ip addr add 212.218.10.66/29 dev ppp0
  ip addr add 212.218.10.67/29 dev ppp0
  ip addr add 212.218.10.68/29 dev ppp0
  ip addr add 212.218.10.69/29 dev ppp0
  ip addr add 212.218.10.70/29 dev ppp0
  ip addr show ppp0
```

## 4.) Make it executable!

```bash
  chmod 0755 /etc/rc.d/init.d/networking/red.up/02-aliases
```

## 5.) Restart your Internet connection

READY.

- The new ip addresses will be automatically configured every time the firewall reconnects or reboots.
- You will see the addresses in the ipfire menu -> network -> aliases
- You can use the new addresses in the firewall config - they will appear as RED2 - RED7
- The warning "Aliases will not be active unless your RED interface is STATIC" can be safely ignored from now on

Have fun ;-)
