# Howto add a IP alias on the "green" interface in IPfire

Let's say you have an internal /24 network and you want to add a secondary (local) IP address (this could be useful in case you remove an old machine from the network and your new firewall is on a different address - but your new firewall should offer on of it's services on the old address).

In the ipfire GUI this is not possible. But you can use the file "rc.local" (which is executed while the firewall boots).

## 1.) Add the following lines to the file /etc/sysconfig/rc.local:

```bash
  ip addr add 192.168.89.1/24 dev green0
  ip addr show green0
```

## 2.) Make it executable:

```bash
  chmod 0755 /etc/sysconfig/rc.local
```

## 3.) Reboot your firewall or execute the script manually

READY.

The new ip address will be automatically configured every time the firewall reboots.
